Bullet Collision Detection & Physics Library: btCollisionWorld::LocalConvexResult Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btCollisionWorld::LocalConvexResult Struct Reference

`#include <btCollisionWorld.h>`

Collaboration diagram for btCollisionWorld::LocalConvexResult:
[legend]

## Public Member Functions
| LocalConvexResult (const btCollisionObject *hitCollisionObject, LocalShapeInfo *localShapeInfo, const btVector3 &hitNormalLocal, const btVector3 &hitPointLocal, btScalar hitFraction)

## Public Attributes
const btCollisionObject * | m_hitCollisionObject
LocalShapeInfo * | m_localShapeInfo
btVector3 | m_hitNormalLocal
btVector3 | m_hitPointLocal
btScalar | m_hitFraction

## Detailed Description

Definition at line 307 of file btCollisionWorld.h.

## Constructor & Destructor Documentation

## ◆ LocalConvexResult()

btCollisionWorld::LocalConvexResult::LocalConvexResult | ( | const btCollisionObject * | hitCollisionObject,
|  | LocalShapeInfo * | localShapeInfo,
|  | const btVector3 & | hitNormalLocal,
|  | const btVector3 & | hitPointLocal,
|  | btScalar | hitFraction )
| inline

Definition at line 309 of file btCollisionWorld.h.

## Member Data Documentation

## ◆ m_hitCollisionObject

const btCollisionObject* btCollisionWorld::LocalConvexResult::m_hitCollisionObject

Definition at line 322 of file btCollisionWorld.h.

## ◆ m_hitFraction

btScalar btCollisionWorld::LocalConvexResult::m_hitFraction

Definition at line 326 of file btCollisionWorld.h.

## ◆ m_hitNormalLocal

btVector3 btCollisionWorld::LocalConvexResult::m_hitNormalLocal

Definition at line 324 of file btCollisionWorld.h.

## ◆ m_hitPointLocal

btVector3 btCollisionWorld::LocalConvexResult::m_hitPointLocal

Definition at line 325 of file btCollisionWorld.h.

## ◆ m_localShapeInfo

LocalShapeInfo* btCollisionWorld::LocalConvexResult::m_localShapeInfo

Definition at line 323 of file btCollisionWorld.h.

The documentation for this struct was generated from the following file:

- btCollisionWorld.h